Page MenuHomePhabricator

InvalidArgumentException not in exception logs
Closed, ResolvedPublic

Description

https://test.wikidata.org/wiki/Q232 is throwing an InvalidArgumentException but nothing found in the exception logs for this.

Why is this not being logged?

(some other non-MWException exceptions are being logged from testwikidata)


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=71519

Details

Reference
bz61914

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:55 AM
bzimport added a project: MediaWiki-Logging.
bzimport set Reference to bz61914.
bzimport added a subscriber: Unknown Object (MLST).
aude created this task.Feb 25 2014, 4:17 PM

checked flourine or just logstash?

I think bug 71639 is in exception.log and missing from logstash.

aude added a comment.Oct 6 2014, 8:42 AM

just requested https://www.wikidata.org/wiki/Q72?action=purge and it does not appear in exception.log. this exception occurs in the WikibaseDataModel component.

I can reproduce this issue that an exception occurring there does not appear in my error logs, though i do see a stacktrace due to $wgShowExceptionDetails = true. Same exception, if occurring in Wikibase, does appear in my logs.

aude added a comment.Oct 6 2014, 1:52 PM

after investigating, I see that non-MediaWiki exceptions appear to be logged for api requests (definitely), for the job runner, and resource loader but not for page views and requests more generally.

Change 164976 had a related patch set uploaded by Aude:
Log non-MediaWiki type exceptions for requests via main entry point

https://gerrit.wikimedia.org/r/164976

Change 164976 merged by jenkins-bot:
Log non-MediaWiki exceptions for requests via main entry point

https://gerrit.wikimedia.org/r/164976